Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Interface IdentityConfiguration

All Known Implementing Classes:
  IdentityConfigurationService

    public interface IdentityConfiguration

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `CONNECTION_ADMIN_DN`
`static java.lang.String` | `CONNECTION_ADMIN_PASSWORD`
`static java.lang.String` | `CONNECTION_AUTHENTICATION`
`static java.lang.String` | `CONNECTION_CONTEXT_FACTORY`
`static java.lang.String` | `CONNECTION_HOST`
`static java.lang.String` | `CONNECTION_NAME`
`static java.lang.String` | `CONNECTION_PORT`
`static java.lang.String` | `GROUP_COMMON`
`static java.lang.String` | `GROUP_CONNECTION`
`static java.lang.String` | `GROUP_ROLE_CREATE_ATTRIBUTES`
`static java.lang.String` | `GROUP_USER_CREATE_ATTRIBUTES`
`static java.lang.String` | `GROUP_USER_PROFILE_MAPPINGS`
`static java.lang.String` | `MEMBERSHIP_ATTRIBUTE_ID`
`static java.lang.String` | `MEMBERSHIP_ATTRIBUTE_IS_DN`
`static java.lang.String` | `MEMBERSHIP_MEMBERSHIP_ATTRIBUTE_EMPTY_VALUE`
`static java.lang.String` | `MEMBERSHIP_MEMBERSHIP_ATTRIBUTE_REQUIRED`
`static java.lang.String` | `ROLE_CONTAINER_DN`
`static java.lang.String` | `ROLE_CONTEXT_DN`
`static java.lang.String` | `ROLE_DEFAULT_ADMIN_ROLE`
`static java.lang.String` | `ROLE_DISPLAY_NAME_ATTRIBUTE_ID`
`static java.lang.String` | `ROLE_RID_ATTRIBUTE_ID`
`static java.lang.String` | `ROLE_SEARCH_FILTER`
`static java.lang.String` | `SEARCH_SCOPE`
`static java.lang.String` | `SEARCH_TIME_LIMIT`
`static java.lang.String` | `USER_ALLOW_EMPTY_PASSWORDS`
`static java.lang.String` | `USER_CONTAINER_DN`
`static java.lang.String` | `USER_CONTEXT_DN`
`static java.lang.String` | `USER_PASSWORD_ATTRIBUTE_ID`
`static java.lang.String` | `USER_PRINCIPAL_PREFIX`
`static java.lang.String` | `USER_PRINCIPAL_SUFFIX`
`static java.lang.String` | `USER_SEARCH_FILTER`
`static java.lang.String` | `USER_UID_ATTRIBUTE_ID`
`static java.lang.String` | `USER_USER_NAME_TO_LOWER_CASE`

Method Summary
`void` | `addValue(java.lang.String optionGroup, java.lang.String option, java.lang.String value)`
`java.util.Map` | `getOptionGroups()`
`java.util.Map` | `getOptions(java.lang.String optionGroup)`
`java.lang.String` | `getValue(java.lang.String option)`
`java.lang.String` | `getValue(java.lang.String optionGroup, java.lang.String option)`
`java.util.Set` | `getValues(java.lang.String optionGroup, java.lang.String option)`
`void` | `remoeOption(java.lang.String optionGroup, java.lang.String option)`
`void` | `setOptions(java.lang.String optionGroup, java.util.Map options)`
`void` | `setValues(java.lang.String optionGroup, java.lang.String option, java.util.Set values)`

Field Detail

### GROUP_COMMON

    static final java.lang.String GROUP_COMMON

See Also:
  Constant Field Values

### GROUP_CONNECTION

    static final java.lang.String GROUP_CONNECTION

See Also:
  Constant Field Values

### GROUP_USER_CREATE_ATTRIBUTES

    static final java.lang.String GROUP_USER_CREATE_ATTRIBUTES

See Also:
  Constant Field Values

### GROUP_ROLE_CREATE_ATTRIBUTES

    static final java.lang.String GROUP_ROLE_CREATE_ATTRIBUTES

See Also:
  Constant Field Values

### GROUP_USER_PROFILE_MAPPINGS

    static final java.lang.String GROUP_USER_PROFILE_MAPPINGS

See Also:
  Constant Field Values

### CONNECTION_NAME

    static final java.lang.String CONNECTION_NAME

See Also:
  Constant Field Values

### CONNECTION_CONTEXT_FACTORY

    static final java.lang.String CONNECTION_CONTEXT_FACTORY

See Also:
  Constant Field Values

### CONNECTION_HOST

    static final java.lang.String CONNECTION_HOST

See Also:
  Constant Field Values

### CONNECTION_PORT

    static final java.lang.String CONNECTION_PORT

See Also:
  Constant Field Values

### CONNECTION_ADMIN_DN

    static final java.lang.String CONNECTION_ADMIN_DN

See Also:
  Constant Field Values

### CONNECTION_ADMIN_PASSWORD

    static final java.lang.String CONNECTION_ADMIN_PASSWORD

See Also:
  Constant Field Values

### CONNECTION_AUTHENTICATION

    static final java.lang.String CONNECTION_AUTHENTICATION

See Also:
  Constant Field Values

### USER_PRINCIPAL_PREFIX

    static final java.lang.String USER_PRINCIPAL_PREFIX

See Also:
  Constant Field Values

### USER_PRINCIPAL_SUFFIX

    static final java.lang.String USER_PRINCIPAL_SUFFIX

See Also:
  Constant Field Values

### USER_UID_ATTRIBUTE_ID

    static final java.lang.String USER_UID_ATTRIBUTE_ID

See Also:
  Constant Field Values

### USER_PASSWORD_ATTRIBUTE_ID

    static final java.lang.String USER_PASSWORD_ATTRIBUTE_ID

See Also:
  Constant Field Values

### USER_CONTEXT_DN

    static final java.lang.String USER_CONTEXT_DN

See Also:
  Constant Field Values

### USER_CONTAINER_DN

    static final java.lang.String USER_CONTAINER_DN

See Also:
  Constant Field Values

### USER_SEARCH_FILTER

    static final java.lang.String USER_SEARCH_FILTER

See Also:
  Constant Field Values

### USER_ALLOW_EMPTY_PASSWORDS

    static final java.lang.String USER_ALLOW_EMPTY_PASSWORDS

See Also:
  Constant Field Values

### USER_USER_NAME_TO_LOWER_CASE

    static final java.lang.String USER_USER_NAME_TO_LOWER_CASE

See Also:
  Constant Field Values

### ROLE_RID_ATTRIBUTE_ID

    static final java.lang.String ROLE_RID_ATTRIBUTE_ID

See Also:
  Constant Field Values

### ROLE_DISPLAY_NAME_ATTRIBUTE_ID

    static final java.lang.String ROLE_DISPLAY_NAME_ATTRIBUTE_ID

See Also:
  Constant Field Values

### ROLE_SEARCH_FILTER

    static final java.lang.String ROLE_SEARCH_FILTER

See Also:
  Constant Field Values

### ROLE_CONTEXT_DN

    static final java.lang.String ROLE_CONTEXT_DN

See Also:
  Constant Field Values

### ROLE_CONTAINER_DN

    static final java.lang.String ROLE_CONTAINER_DN

See Also:
  Constant Field Values

### ROLE_DEFAULT_ADMIN_ROLE

    static final java.lang.String ROLE_DEFAULT_ADMIN_ROLE

See Also:
  Constant Field Values

### MEMBERSHIP_ATTRIBUTE_ID

    static final java.lang.String MEMBERSHIP_ATTRIBUTE_ID

See Also:
  Constant Field Values

### MEMBERSHIP_ATTRIBUTE_IS_DN

    static final java.lang.String MEMBERSHIP_ATTRIBUTE_IS_DN

See Also:
  Constant Field Values

### MEMBERSHIP_MEMBERSHIP_ATTRIBUTE_REQUIRED

    static final java.lang.String MEMBERSHIP_MEMBERSHIP_ATTRIBUTE_REQUIRED

See Also:
  Constant Field Values

### MEMBERSHIP_MEMBERSHIP_ATTRIBUTE_EMPTY_VALUE

    static final java.lang.String MEMBERSHIP_MEMBERSHIP_ATTRIBUTE_EMPTY_VALUE

See Also:
  Constant Field Values

### SEARCH_TIME_LIMIT

    static final java.lang.String SEARCH_TIME_LIMIT

See Also:
  Constant Field Values

### SEARCH_SCOPE

    static final java.lang.String SEARCH_SCOPE

See Also:
  Constant Field Values

Method Detail

### getValues

    java.util.Set getValues(java.lang.String optionGroup,
                            java.lang.String option)

### getValue

    java.lang.String getValue(java.lang.String optionGroup,
                              java.lang.String option)

### getValue

    java.lang.String getValue(java.lang.String option)

### setValues

    void setValues(java.lang.String optionGroup,
                   java.lang.String option,
                   java.util.Set values)

### addValue

    void addValue(java.lang.String optionGroup,
                  java.lang.String option,
                  java.lang.String value)

### getOptions

    java.util.Map getOptions(java.lang.String optionGroup)

### setOptions

    void setOptions(java.lang.String optionGroup,
                    java.util.Map options)

### remoeOption

    void remoeOption(java.lang.String optionGroup,
                     java.lang.String option)

### getOptionGroups

    java.util.Map getOptionGroups()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD